PHP Manual
Prev |  | Next

# enchant_dict_suggest

(PECL)

enchant_dict_suggest -- Will return a list of values if any of those pre-conditions are not met.

## Description

array enchant_dict_suggest ( resource dict, string word )

## Parameters

dict

  Dictionary resource

word

  Word to use for the suggestions.

## Return Values

Will returns an array of suggestions if the word is bad spelled.

## Examples

Example 1. A enchant_dict_suggest() example

`<?php
$tag = 'en_US';
$r = enchant_broker_init();
if (enchant_broker_dict_exists($r,$tag)) {
$d = enchant_broker_request_dict($r, $tag);
$spellerrors = enchant_dict_check($d, "soong");
echo "found $spellerrors spell errors\n";
if ($spellerrors) {
$suggs = enchant_dict_suggest($d, "soong");
echo "Suggestions for 'soong':";
print_r($suggs);
}
enchant_broker_free_dict($d);
}
enchant_broker_free($r);
?>`

## See Also

enchant_dict_check()
enchant_dict_quick_check()

Prev | Home | Next
enchant_dict_store_replacement | Up | Error Handling and Logging Functions